Bug 1881665 (CVE-2020-15676) - CVE-2020-15676 Mozilla: XSS when pasting attacker-controlled data into a contenteditable element
Summary: CVE-2020-15676 Mozilla: XSS when pasting attacker-controlled data into a cont...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-15676
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1873379 1879267 1879268 1879269 1879270 1879271 1879272 1881389 1881390 1881391 1881392 1881393 1881394
Blocks: 1879265
TreeView+ depends on / blocked
 
Reported: 2020-09-22 20:38 UTC by msiddiqu
Modified: 2021-02-16 19:13 UTC (History)
4 users (show)

Fixed In Version: firefox 78.3, thunderbird 78.3
Doc Type: If docs needed, set a value
Doc Text:
The Mozilla Foundation Security Advisory describes this flaw as: Firefox sometimes ran the onload handler for SVG elements that the DOM sanitizer decided to remove, resulting in JavaScript being executed after pasting attacker-controlled data into a contenteditable element.
Clone Of:
Environment:
Last Closed: 2020-09-24 14:41:20 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3832 0 None None None 2020-09-24 10:07:55 UTC
Red Hat Product Errata RHSA-2020:3833 0 None None None 2020-09-24 09:58:53 UTC
Red Hat Product Errata RHSA-2020:3834 0 None None None 2020-09-24 09:53:21 UTC
Red Hat Product Errata RHSA-2020:3835 0 None None None 2020-09-24 10:11:46 UTC
Red Hat Product Errata RHSA-2020:4080 0 None None None 2020-09-30 06:35:41 UTC
Red Hat Product Errata RHSA-2020:4155 0 None None None 2020-10-01 13:19:25 UTC
Red Hat Product Errata RHSA-2020:4156 0 None None None 2020-10-01 13:08:28 UTC
Red Hat Product Errata RHSA-2020:4157 0 None None None 2020-10-01 13:12:56 UTC
Red Hat Product Errata RHSA-2020:4158 0 None None None 2020-10-01 13:26:54 UTC
Red Hat Product Errata RHSA-2020:4163 0 None None None 2020-10-01 14:48:48 UTC

Description msiddiqu 2020-09-22 20:38:50 UTC
Firefox sometimes ran the onload handler for SVG elements that the DOM sanitizer decided to remove, resulting in JavaScript being executed after pasting attacker-controlled data into a contenteditable element.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2020-43/#CVE-2020-15676

Comment 1 msiddiqu 2020-09-22 20:38:58 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Daniel Fröjdendahl

Comment 6 errata-xmlrpc 2020-09-24 09:53:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:3834 https://access.redhat.com/errata/RHSA-2020:3834

Comment 7 errata-xmlrpc 2020-09-24 09:58:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:3833 https://access.redhat.com/errata/RHSA-2020:3833

Comment 8 errata-xmlrpc 2020-09-24 10:07:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3832 https://access.redhat.com/errata/RHSA-2020:3832

Comment 9 errata-xmlrpc 2020-09-24 10:11:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:3835 https://access.redhat.com/errata/RHSA-2020:3835

Comment 10 Product Security DevOps Team 2020-09-24 14:41:20 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-15676

Comment 16 errata-xmlrpc 2020-09-30 06:35:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4080 https://access.redhat.com/errata/RHSA-2020:4080

Comment 32 errata-xmlrpc 2020-10-01 13:08:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:4156 https://access.redhat.com/errata/RHSA-2020:4156

Comment 33 errata-xmlrpc 2020-10-01 13:12:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:4157 https://access.redhat.com/errata/RHSA-2020:4157

Comment 34 errata-xmlrpc 2020-10-01 13:19:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4155 https://access.redhat.com/errata/RHSA-2020:4155

Comment 35 errata-xmlrpc 2020-10-01 13:26:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2020:4158 https://access.redhat.com/errata/RHSA-2020:4158

Comment 36 errata-xmlrpc 2020-10-01 14:48:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4163 https://access.redhat.com/errata/RHSA-2020:4163


Note You need to log in before you can comment on or make changes to this bug.